extends ../index

block css
    //- <!-- importaciones wysiwyg -->
    link(href='https://cdn.quilljs.com/1.3.6/quill.snow.css' rel='stylesheet')
    link(href='//cdn.quilljs.com/1.3.6/quill.bubble.css' rel='stylesheet')


block body
    h3 Creación de noticias.

    -if (typeof(my_new) !== 'undefined'){
        //- FORMULARIO PARA ACTUALIZAR
        form(id='textForm2' action='/news_update/'+my_new._id method='post' name='newsForm2' onsubmit='return validateForm()')
            .form-group
                input#form11.form-control(type='text' placeholder='Escribir título' name='title' value=my_new.title)
            .form-group
                input#form11.form-control(type='text' placeholder='Categoría' name='category' value=my_new.category)     
            .form-group
                input#form11.form-control(type='text' placeholder='Escribir resumen' name='body2' value=my_new.body[1])
            .form-group
                input#form11.form-control(type='hidden' placeholder='Escribir body 1' name='body1' value=my_new.body[0])

            input(id='body_editor' name='body_editor' type='hidden' value=my_new.body_editor)
            .form-group
                #editor
            .form-group
                input#form11.form-control(type='submit' value='Enviar')

    -} else {
        //- FORMULARIO PARA CREAR:
        form(id='textForm2' action='/news_crear' method='post' name='newsForm2' onsubmit='return validateForm()' enctype="multipart/form-data")
            .form-group
                input#form11.form-control(type='text' placeholder='Escribir título' name='title')
            .form-group
                input#form11.form-control(type='text' placeholder='Categoría' name='category')     
            .form-group
                input#form11.form-control(type='file' placeholder='Escribir imagen' name='imagen')
            .form-group
                input#form11.form-control(type='text' placeholder='Escribir resumen' name='body2')
 
            input(name='body_editor' type='hidden')
            #editor

            .form-group
                input#form11.form-control(type='submit' value='Enviar')
    - }

    //- importaciones cdn wysiwyg:
    script(src='https://cdn.quilljs.com/1.3.6/quill.js')
    script(src='//cdn.quilljs.com/1.3.6/quill.min.js')
    script(src='https://cdn.jsdelivr.net/npm/quill-image-resize-module@3.0.0/image-resize.min.js')
    script(src='https://cdn.jsdelivr.net/npm/quill-video-resize-module@1.0.2/video-resize.min.js')


    script.
        // wysiwyg:
        var toolbarOptions = [
            ['bold', 'italic', 'underline', 'strike'],        // toggled buttons
            ['blockquote', 'code-block'],

            [{ 'header': 1 }, { 'header': 2 }],               // custom button values
            [{ 'list': 'ordered'}, { 'list': 'bullet' }],
            [{ 'script': 'sub'}, { 'script': 'super' }],      // superscript/subscript
            [{ 'indent': '-1'}, { 'indent': '+1' }],          // outdent/indent
            [{ 'direction': 'rtl' }],                         // text direction

            [{ 'size': ['small', false, 'large', 'huge'] }],  // custom dropdown
            [{ 'header': [1, 2, 3, 4, 5, 6, false] }],
            [ 'link', 'image', 'video', 'formula' ],          // add's image support
            [{ 'color': [] }, { 'background': [] }],          // dropdown with defaults from theme
            [{ 'font': [] }],
            [{ 'align': [] }],

            ['clean']                                         // remove formatting button
            ];
        // quill wysiwyg editor object:
        var quill = new Quill('#editor', {
            theme: 'snow',
            modules: {
                toolbar: toolbarOptions,
                imageResize: {
                    displaySize: true
                },
                videoResize: {}
            
            },
            placeholder: 'Escribe una noticia épica...',
        });


        // CAPTURA EL FORMULARIO Y ENVÍA LA DATA DEL QUILL EDITOR:
        var form = document.getElementById('textForm2');
        form.onsubmit = function(){
            // Populate hidden form on submit:
            var about = document.querySelector('input[name=body_editor]');
            about.value = JSON.stringify(quill.getContents());
            //- console.log("Submitted", $(form).serialize(), $(form).serializeArray());
            return true;
        }
        // COLOCANDO CONTENIDO DENTRO DEL EDITOR WYSIWYG
        var hiddenInput = document.getElementById('body_editor').value;
        console.log('hiddeninput: ',hiddenInput)
        hiddenInput = JSON.parse(hiddenInput);   
        quill.setContents(
            hiddenInput.ops
        );

        function validateForm() {
            const title = document.forms["newsForm2"]["title"].value;
            const category = document.forms["newsForm2"]["category"].value;
            const body1 = document.forms["newsForm2"]["body1"].value;

            if (title == "" || category == '' || body=='') {
                alert("Debes llenar los campos de título, categoría y al menos 1 body");
                return false;
            }
        }
        



    style.
        #editor iframe,
        #editor video {
            pointer-events: none;
        }


